Subject: RE: draft-ietf-ipv6-node-requirements-01.txt

From: "Bound, Jim" <[email-masked]>
Date: Mon, 25 Nov 2002 00:01:34 -0500

John,

I have not found any more deprecated cases.  But will keep looking just
in case.

For the M bit.  If it is set to a client then the client must find a
stateful server for managed addresses to be unconditionally mandatory
compliant.  Rationale is if the M bit is set the network administrators
are telling nodes to do use a stateful mechanism to get addresses.  And
network administrators are in charge of that policy and they have opted
to not use stateless for all addresses or any addresses in this case.  

/jim
[A people who would give up their freedom out of fear did not deserve it
in the first place. Ben Franklin]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Wednesday, November 20, 2002 7:52 PM
> To: Bound, Jim; [email-masked]
> Subject: RE: draft-ietf-ipv6-node-requirements-01.txt
> 
> 
> Hi Jim,
> 
> > Today in v6ops I think I heard that compliance to the ND M 
> bit being 
> > set is optional.  That I think is wrong.  But the node reqs 
> doc states 
> > that dhcpv6 is unconditionally optional which is probably correct 
> > because stateful may not imply dhcpv6 today.  But if the M 
> bit is set 
> > the host node (non router) must look for a stateful node.  
> We need to 
> > get this right.
> > 
> > P.S. John - I will have all my input on this to you in the next few 
> > weeks.  But it looks real good. I like the terminology too.
> 
> Glad you think that the document looks good.  Review it & let 
> me know what you think - especially suggest what text you 
> think is needed for the M bit.
> 
> John
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------